VOS_SYNCVLDB(1)

NAME
vos_syncvldb - Verifies VLDB entries for volumes residing at specified site

SYNOPSIS
vos syncvldb [-server <machine name>]
    [-partition <partition name>]
    [-volume <volume name or ID>]
    [-dryrun] [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos syncv [-s <machine name>]
    [-p <partition name>]
    [-vo <volume name or ID>]
    [-d] [-c <cell name>]
    [-noa] [-l] [-ve] [-e] [-nor] [-h]

DESCRIPTION
The vos syncvldb command verifies that the status of the volumes housed either on all partitions on the file server machine specified by the -server argument, or on the single partition specified by the -server and -partition arguments, is recorded correctly in the VLDB. If the -volume argument is included to indicate a single volume, the command compares only its status on the file server machine with its VLDB entry.

If the -volume argument is not included, the command interpreter obtains from the Volume Server a list of the volumes that reside on each partition, then changes information in the VLDB as necessary to reflect their state on the partition. For example, it creates or updates a VLDB entry when it finds a volume for which the VLDB entry is missing or incomplete. However, if there is already a VLDB entry that defines a different location for the volume, or there are irreconcilable conflicts with other VLDB entries, it instead writes a message about the conflict to the standard error stream. The command never removes volumes from the file server machine.

To achieve complete VLDB consistency, run this command on all file server machines in the cell, and then run the vos syncserv command on all file server machines in the cell.

Using the -volume argument basically combines the effects of this command with those of the vos syncserv command, for a single volume. The command not only verifies that the VLDB entry is correct for the specified volume type (read/write, backup, or read-only), but also checks that any related volume types mentioned in the VLDB entry actually exist at the site listed in the entry. It is not necessary to provide the -server argument (and optionally, -partition argument); if one or both is provided, the results are reliable only if they specify the actual location of the volume indicated by the -volume argument.

OPTIONS

-server <server name>
    Identifies the file server machine housing the volumes for which to verify VLDB entries. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition housing the volumes for which to verify VLDB entries. Provide the -server argument along with this one. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-volume <volume name or ID>
    Specifies the name or volume ID number of a single volume for which to verify the VLDB entry. This argument can be combined with the -server (and optionally, the -partition) argument.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-dryrun
    Show the actions which would be taken, but do not make changes.

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example command verifies the VLDB entry for each volume stored on the file server machine "fs4.abc.com".

   % vos syncvldb fs4.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_syncserv(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.